Bug 7958 - Batch Item Delete Fails
Summary: Batch Item Delete Fails
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high critical (vote)
Assignee: Galen Charlton
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-13 16:15 UTC by Joy Nelson
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7958 - Batch Item Delete Fails (784 bytes, patch)
2012-04-14 10:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 7958 - Batch Item Delete Fails (846 bytes, patch)
2012-04-16 15:26 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2012-04-13 16:15:44 UTC
Version 3.7

A Software Error is encountered when the Tools-Batch Item Delete is used.

Undefined subroutine &C4::Search::SimpleSearch called at /home/koha/kohaclone/C4/Items.pm line 2465.
Comment 1 Katrin Fischer 2012-04-13 17:09:35 UTC
I can confirm this, updating severity as it makes the tool useless.
Comment 2 Katrin Fischer 2012-04-14 10:29:35 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2012-04-16 15:26:40 UTC
Created attachment 9217 [details] [review]
[PASSED QA] Bug 7958 - Batch Item Delete Fails

Adding back "use C4::Search;" in Items.pm fixes the problem.

I think this is probably related to the denesting efforts.

Signed-off-by: Ian Walls <koha.sekjal@gmail.com>
Comment 4 Ian Walls 2012-04-16 15:27:03 UTC
GetAnalyticsCount depends on C4::Search, so not only is batch deletion broken, but anything else using that subroutine.

Signing off and Passing QA in one go
Comment 5 Jared Camins-Esakov 2012-12-31 00:52:51 UTC
There have been no further reports of problems so I am marking this bug resolved.